%define _unpackaged_files_terminate_build 0

%undefine _enable_debug_packages

Summary: Ganglia Monitor daemon module intel
Name: ganglia-mod_intel
Version: 3.7.2
URL: http://ganglia.info/
Release: 1
License: BSD
Vendor: Ganglia Development Team <ganglia-developers@lists.sourceforge.net>
Group: System Environment/Base

Source0: ganglia-%{version}.tar.gz

Patch0: ganglia-%{version}-%{release}-mod_intel.patch
Patch1: ganglia-no-private-apr.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libapr1-devel >= 1.5.1-2.7
BuildRequires: libexpat-devel >= 2.1.0-13.232
BuildRequires: libconfuse-devel >= 2.7-19.2
BuildRequires: pcre-devel >= 8.33-3.314
BuildRequires: zlib-devel >= 1.2.8-5.1
BuildRequires: patch, make, autoconf, automake, libtool, m4

Requires: ganglia-gmond = %{version}
Requires: dmidecode >= 2.12-5.20
Requires: libapr1 >= 1.5.1-2.7
Requires: expat >= 2.1.0-13.232
Requires: libconfuse0 >= 2.7-19.2
Requires: libpcre1 >= 8.33-3.314
Requires: libz1 >= 1.2.8-5.1

%define conf_dir /etc/ganglia

%description
Ganglia is a scalable, real-time monitoring and execution environment
with all execution requests and statistics expressed in an open
well-defined XML format.

This gmond module provides additional useful Intel metrics on SLES 12.


##
## PREP
##
%prep 
%setup -q -n ganglia-%{version}
# apply the patch for the mod_intel module
%patch0
%patch1 -p1


##
## BUILD
##
%build
autoreconf -fi

%configure \
    --sysconfdir=%{conf_dir} \
    --enable-shared --disable-static \
    --without-gmetad \
    --disable-python \
    --enable-php=no \
    --with-php=no
make %{?_smp_mflags}


##
## INSTALL
##
%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

## Create the directory structure
%__mkdir -p ${RPM_BUILD_ROOT}%{conf_dir}/conf.d

## Move the files into the structure
%__cp -f gmond/modules/conf.d/* ${RPM_BUILD_ROOT}%{conf_dir}/conf.d

cp gmond/modules/intel/.libs/modintel.so ${RPM_BUILD_ROOT}%{_libdir}/ganglia


##
## CLEAN
##
%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


##
## FILES
##
%files
%defattr(-,root,root)
%{_libdir}/ganglia/modintel.so
%config(noreplace) %{conf_dir}/conf.d/intel.conf


##
## CHANGELOG
##
%changelog
* Mon Oct 30 2017 Michael Perzl <michael@perzl.org> - 3.7.2-1
- updated to version 3.7.2

* Mon Oct 30 2017 Michael Perzl <michael@perzl.org> - 3.7.1-1
- updated to version 3.7.1

* Mon Oct 30 2017 Michael Perzl <michael@perzl.org> - 3.6.1-1
- updated to version 3.6.1

* Mon Oct 30 2017 Michael Perzl <michael@perzl.org> - 3.6.0-1
- first version for SLES 12
